Move a market
curl --request POST \
--url https://rest.forestreet.com/v2/markets/{marketId}/move \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"oldCollectionId": 1,
"newCollectionId": 1
}
'import requests
url = "https://rest.forestreet.com/v2/markets/{marketId}/move"
payload = {
"oldCollectionId": 1,
"newCollectionId": 1
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({oldCollectionId: 1, newCollectionId: 1})
};
fetch('https://rest.forestreet.com/v2/markets/{marketId}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this market"
}{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Not Found - Market not found"
}{
"success": false,
"errorCode": "REVIEW_PENDING",
"message": "Conflict - A manual review is pending for this market"
}{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Market CRUD
Move a market
Move a specific market in the collection
POST
/
v2
/
markets
/
{marketId}
/
move
Move a market
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
ID of the market to move.
Required range:
x > 0Body
application/json
⌘I